(function() {

	function CustomizationsRequestsBuilder(templateManager) {

		this.buildRequest = function(typeRequest, method, dbProperties, dataset) {
			var request = {
				"typeRequest": typeRequest,
				"baseUrl": getbaseUrl(dbProperties),
				"service": getServiceUrl(dbProperties, method),
				"params": {
					"requestType": "DataSet",
					"dataset": dataset
				}
			};
			return request;
		};

		var getServiceUrl = function(dbProperties, method) {
			return !dbProperties.urlFullPath ? '/' + method + '/' + getRoute(dbProperties) : '';
		};

		var getbaseUrl = function(dbProperties) {
			return dbProperties.url ? dbProperties.url : templateManager.project.zhStoragePath;
		};

		var getRoute = function(dbProperties) {
			return dbProperties.dbName + "/" + dbProperties.collectionName;
		};
	}

	Configuration(function(ContextRegister) {
		ContextRegister.register("CustomizationsRequestsBuilder", CustomizationsRequestsBuilder);
	});

})();